## calligraplan 3.3.0+p24.04+vunstable+git20251208.0246

=== CMakeLists.txt ===
if (POLICY CMP0048)
    cmake_policy(SET CMP0048 NEW)
endif ()

# define the version of Plan
# update these version for every release:
# Alpha x.x.89
# Beta: x.x.90 upwards. (Beta 1 = 90, Beta 2 = 91 ...)
# Stable x.x.0 upwards
project(calligraplan VERSION 3.3.89)
set(PLAN_YEAR 2023) # update every year

cmake_minimum_required(VERSION 3.16)
if (POLICY CMP0002)
    cmake_policy(SET CMP0002 NEW)
endif ()
if (POLICY CMP0017)
    cmake_policy(SET CMP0017 NEW)
endif ()
if (POLICY CMP0022)
    cmake_policy(SET CMP0022 NEW)
endif ()
if (POLICY CMP0026)
    cmake_policy(SET CMP0026 NEW)
endif()
if (POLICY CMP0046)
    cmake_policy(SET CMP0046 NEW)
endif ()
if (POLICY CMP0059)
    cmake_policy(SET CMP0059 NEW)
endif()
if (POLICY CMP0063)
    cmake_policy(SET CMP0063 NEW)
endif()
if (POLICY CMP0071)
    cmake_policy(SET CMP0071 NEW)
endif()
if (POLICY CMP0115)
    cmake_policy(SET CMP0115 NEW)
endif()

set(PLAN_VERSION_STRING ${PROJECT_VERSION})
set(PLAN_STABLE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set(PLAN_STABLE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set(PLAN_VERSION_RELEASE ${PROJECT_VERSION_PATCH})
set(PLAN_RELEASE_TYPE "Stable")
if (PROJECT_VERSION_PATCH EQUAL 89)
    set(PLAN_ALPHA 1)
    set(PLAN_RELEASE_TYPE "Alpha")
elseif (PROJECT_VERSION_PATCH GREATER 89)
    set(PLAN_BETA 1)
    math(EXPR PLAN_BETA_VERSION "${PLAN_VERSION_RELEASE} - 89")
    set(PLAN_RELEASE_TYPE "Beta ${PLAN_BETA_VERSION}")
endif()

# Define the generic version of the Calligra Plan libraries here
# This makes it easy to advance it when the next release comes.
# 14 was the last GENERIC_CALLIGRA_LIB_VERSION_MAJOR of the previous Calligra series
# (2.x) so we're starting with 15 in 3.x series.
#if(PLAN_STABLE_VERSION_MAJOR EQUAL 3)
    math(EXPR GENERIC_PLAN_LIB_VERSION_MAJOR "${PLAN_STABLE_VERSION_MAJOR} + 15")
#else()
    ## let's make sure we won't forget to update the "15"
    #message(FATAL_ERROR "Reminder: please update offset == 15 used to compute GENERIC_PLAN_LIB_VERSION_MAJOR to something bigger")
#endif()
set(GENERIC_PLAN_LIB_VERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}.${PROJECT_VERSION_PATCH}")
set(GENERIC_PLAN_LIB_SOVERSION "${PROJECT_VERSION_MAJOR}")

message(STATUS "")
message(STATUS "Build Calligra Plan ${PLAN_VERSION_STRING} (${PLAN_RELEASE_TYPE}) with cmake version: ${CMAKE_VERSION}, required version: ${CMAKE_MINIMUM_REQUIRED_VERSION}")
message(STATUS "")


# ensure out-of-source build
string(COMPARE EQUAL "${CMAKE_SOURCE_DIR}" "${CMAKE_BINARY_DIR}" isBuildInSource)
if(isBuildInSource)
    message(FATAL_ERROR "Compiling Plan inside the source folder is not possible.\nPlease refer to the build instruction: https://community.kde.org/Calligra/Building/3\nYou need to clean up the source folder from all build artifacts just created, otherwise further building attempts will fail again: With a git repo, you can use \"git clean -df\" in the toplevel source folder (attention! will remove also uncommitted changes to the source code). With sources from a file bundle (like a zip file), delete the source folder and unbundle the sources again.")
endif()


############
#############
## Options ##
#############
############

option(PACKAGERS_BUILD "Build support of multiple CPU architectures in one binary. Should be used by packagers only." ON)

##########################
###########################
## Look for ECM, Qt, KF6 ##
###########################
##########################

set(QT_REQUIRED_VERSION "6.5.0")
set(KF_MIN_VERSION "6.3.0")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

# ECM KDE macros (include first, to have their policies and settings effect all other macros)
set(KDE_COMPILERSETTINGS_LEVEL 6.0)
include(KDEInstallDirs)
include(KDECMakeSettings NO_POLICY_SCOPE)
include(KDECompilerSettings NO_POLICY_SCOPE)
# CMake macros
include(CMakePackageConfigHelpers)
include(WriteBasicConfigVersionFile)
include(CheckFunctionExists)
include(CheckTypeSize)
include(CheckIncludeFile)
include(GenerateExportHeader)
include(FeatureSummary)
# ECM macros
include(ECMOptionalAddSubdirectory)
include(ECMInstallIcons)
include(ECMAddAppIcon)
include(ECMSetupVersion)
include(ECMAddTests)
include(ECMMarkAsTest)
include(ECMMarkNonGuiExecutable)
include(ECMGenerateHeaders)

# Own macros
# This macro is a copy from calligra so only needs to be included when plan is build stand alone
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
include(MacroOptionalFindPackage)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED
    COMPONENTS
        Archive
#             Codecs
#             Completion
        Config
        ConfigWidgets
        CoreAddons
        DBusAddons
        GuiAddons
        I18n
        IconThemes
        ItemViews
        ItemModels
        JobWidgets
        KIO
        Notifications
#             NotifyConfig
        Parts
        Sonnet
        TextWidgets
        WidgetsAddons
        WindowSystem
        XmlGui
#         Kross
)

find_package(PlasmaActivities)

set_package_properties(PlasmaActivities PROPERTIES
    DESCRIPTION "Library for Activities"
    PURPOSE "Required for activities support (optional)"
    TYPE OPTIONAL
)
if(PlasmaActivities_FOUND)
    set(HAVE_KACTIVITIES TRUE)
endif()

#find_package(KF5KHtml)
#set_package_properties(KF5KHtml PROPERTIES
    #PURPOSE "Required for rich text support"
    #TYPE REQUIRED
#)

find_package(KF6Holidays)
set_package_properties(KF6Holidays PROPERTIES
    DESCRIPTION "Library for generation of public holidays"
    PURPOSE "Required for holidays support (optional)"
    TYPE RECOMMENDED
)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED
    COMPONENTS
        Core
        Gui
        PrintSupport
        Test
        Widgets
        Xml
)
find_package(Qt6DBus ${REQUIRED_QT_VERSION} QUIET)
set_package_properties(Qt5DBus PROPERTIES
    DESCRIPTION "Library for dbus access"
    PURPOSE "Required for dbus support (optional)"
    TYPE OPTIONAL
)

find_package(X11)
if(X11_FOUND)
     set(HAVE_X11 TRUE)
else()
     set(HAVE_X11 FALSE)
endif()

##
## Test SharedMimeInfo
##
macro_optional_find_package(SharedMimeInfo 1.3)
set_package_properties(SharedMimeInfo PROPERTIES
    PURPOSE "Required by Calligra Plan Portfolio Manager and Import/Export filters."
    TYPE REQUIRED
)

# use sane compile flags
add_definitions(
-DQT_USE_QSTRINGBUILDER
-DQT_STRICT_ITERATORS
-DQT_NO_SIGNALS_SLOTS_KEYWORDS
-DQT_NO_URL_CAST_FROM_STRING
-DQT_NO_CAST_TO_ASCII
)

# only with this definition will all the FOO_TEST_EXPORT macro do something
# TODO: check if this can be moved to only those places which make use of it,
# to reduce global compiler definitions that would trigger a recompile of
# everything on a change (like adding/removing tests to/from the build)
if(BUILD_TESTING)
    add_definitions(-DCOMPILING_TESTS)
endif()

# overcome some platform incompatibilities
if(WIN32)
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/winquirks)
    add_definitions(-D_USE_MATH_DEFINES)
    add_definitions(-DNOMINMAX)
    set(WIN32_PLATFORM_NET_LIBS ws2_32.lib netapi32.lib)
endif()

###########################
############################
## Required dependencies  ##
############################
###########################

set(REQUIRED_KDIAGRAM_VERSION 3.0.1)

##
## Test for KGantt
##
macro_optional_find_package(KGantt6 ${REQUIRED_KDIAGRAM_VERSION} QUIET)
set_package_properties(KGantt6 PROPERTIES
    DESCRIPTION "Library for creating Gantt diagrams (part of KDiagram)"
    URL "https://www.kde.org/"
    TYPE REQUIRED
)
if(KGantt_FOUND)
    set(KGANTT_VERSION_MAJOR "${KGantt_VERSION_MAJOR}")
    set(KGANTT_VERSION_MINOR "${KGantt_VERSION_MINOR}")
    set(KGANTT_VERSION_PATCH "${KGantt_VERSION_PATCH}")
endif()

##
## Test for KChart
##
macro_optional_find_package(KChart6 ${REQUIRED_KDIAGRAM_VERSION} QUIET)
set_package_properties(KChart6 PROPERTIES
    DESCRIPTION "Library for creating business charts (part of KDiagram)"
    URL "https://www.kde.org/"
    TYPE REQUIRED
)

##
## Test for QCA2
##
macro_optional_find_package(Qca-qt6 2.1.0 QUIET)
set_package_properties(Qca-qt6 PROPERTIES
    DESCRIPTION "Qt Cryptographic Architecture"
    URL "https:/download.kde.org/stable/qca-qt6"
    PURPOSE "Required for encrypted OpenDocument files and encrypted xls files support"
    TYPE OPTIONAL
)

find_package(KF6Wallet ${KF_MIN_VERSION})

if(Qca-qt6_FOUND AND KF6Wallet_FOUND)
    add_definitions( -DQCA2 )
endif()

find_package(Perl REQUIRED)

###########################
############################
## Optional dependencies  ##
############################
###########################

### Remove dependency on KF5AkonadiContact
### Review how to get at contacts in more portable way
##
## Test for KF5AkonadiContact
##
# find_package(KF5AkonadiContact CONFIG QUIET)
# set_package_properties(KF5AkonadiContact PROPERTIES
#     DESCRIPTION "Library for Accessing Contacts stored in Akonadi"
#     URL "https://www.kde.org/"
#     PURPOSE "Required for address book support"
#     TYPE OPTIONAL
# )

##
## Test for KF6CalendarCore
##
find_package(KF6CalendarCore CONFIG QUIET)
set_package_properties(KF6CalendarCore PROPERTIES
    DESCRIPTION "KDE Calendar Library"
    URL "https://www.kde.org/"
    PURPOSE "Used by calendar export"
    TYPE OPTIONAL
    )

if(WIN32)
    set(LIB_INSTALL_DIR ${KDE_INSTALL_LIBDIR}
                        RUNTIME DESTINATION ${KDE_INSTALL_BINDIR}
                        LIBRARY ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
                        ARCHIVE ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )
endif()

find_package(Java 8 COMPONENTS Runtime)
set_package_properties(Java PROPERTIES
    DESCRIPTION "Java Runtime Environment"
    URL "https://www.java.com/"
    PURPOSE "Used by MPXJ based import filters and unit tests"
    TYPE OPTIONAL
)

#### Disable kreport for now, reconsider when it is stable ####
if (TEST_FOR_KREPORT)
    #
    # Test for KReport
    #
    macro_optional_find_package(KReport 3.1 QUIET)
    set_package_properties(KReport PROPERTIES
        PURPOSE "Required for KReport support in Plan"
        TYPE OPTIONAL
    )

    ##
    ## Test for KPropertyWidgets
    ##
    macro_optional_find_package(KPropertyWidgets 3.1 QUIET)
    set_package_properties(KPropertyWidgets PROPERTIES
        PURPOSE "Required for KReports support in Plan"
        TYPE OPTIONAL
    )
    if (KReport_FOUND AND KPropertyWidgets_FOUND)
        set(PLAN_USE_KREPORT TRUE)
    endif()
endif (TEST_FOR_KREPORT)


add_subdirectory(src)
add_subdirectory(devtools)
add_subdirectory(doc)
add_subdirectory(data)

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
endif()

if (BUILD_TESTING)
    add_subdirectory(tests)
endif()

### Summarize findings ####
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/libs/odf/tests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)


include_directories( ${PLANODF_INCLUDES} )

# call: planodf_add_unit_test(<test-name> <sources> LINK_LIBRARIES <library> [<library> [...]] [GUI])
macro(PLANODF_ADD_UNIT_TEST _TEST_NAME)
    ecm_add_test( ${ARGN}
        TEST_NAME "Plan${_TEST_NAME}"
        NAME_PREFIX "plan-odf-"
    )
endmacro()

########### next target ###############

planodf_add_unit_test(TestKoGenStyles TestKoGenStyles.cpp  LINK_LIBRARIES calligraplanodf KF6::I18n Qt::Test)

########### next target ###############

planodf_add_unit_test(TestOdfSettings TestOdfSettings.cpp  LINK_LIBRARIES calligraplanodf KF6::I18n Qt::Test)

########### next target ###############

planodf_add_unit_test(TestKoOdfLoadingContext TestKoOdfLoadingContext.cpp  LINK_LIBRARIES calligraplanodf KF6::I18n Qt::Test)

########### next target ###############

planodf_add_unit_test(TestXmlWriter TestXmlWriter.cpp  LINK_LIBRARIES calligraplanodf Qt::Test)

########### next target ###############

planodf_add_unit_test(TestXmlReader TestXmlReader.cpp  LINK_LIBRARIES calligraplanodf Qt::Test)

########### next target ###############

planodf_add_unit_test(TestXmlReaderWithoutSpaces TestXmlReaderWithoutSpaces.cpp  LINK_LIBRARIES calligraplanodf Qt::Test)

########### next target ###############

planodf_add_unit_test(kodomtest kodomtest.cpp  LINK_LIBRARIES calligraplanodf Qt::Test)

########### next target ###############

planodf_add_unit_test(TestStorage TestStorage.cpp  LINK_LIBRARIES calligraplanodf KF6::I18n Qt::Test)

########### next target ###############

planodf_add_unit_test(TestKoUnit TestKoUnit.cpp  LINK_LIBRARIES calligraplanodf Qt::Test)

########### next target ###############

## Disable ftb. spurioulsy fails
# planodf_add_unit_test(TestNumberStyle TestNumberStyle.cpp  LINK_LIBRARIES calligraplanodf Qt::Test)

########### next target ###############

planodf_add_unit_test(TestKoElementReference TestKoElementReference.cpp  LINK_LIBRARIES calligraplanodf Qt::Test)

########### next target ###############

planodf_add_unit_test(TestWriteStyleXml TestWriteStyleXml.cpp  LINK_LIBRARIES calligraplanodf Qt::Test)

########### end ###############

=== debian/changelog ===
calligraplan (1:3.3.0+p24.04+vunstable+git20251208.0246-0) noble; urgency=medium

  [ Pino Toscano ]
  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Add a simple upstream/metadata file.

  [ Neon CI ]
  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 02:46:46 +0000

## calligraplan 4.0.0

=== debian/changelog ===
calligraplan (1:4.0.0-0+24.04+noble+release+build7) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 08:16:04 +0000

calligraplan (1:4.0.0-0) noble; urgency=medium

  * new release

 -- Neon CI <neon@kde.org>  Tue, 20 Jan 2026 00:34:14 +0000

calligraplan (1:3.3.0-2) UNRELEASED; urgency=medium

  [ Pino Toscano ]
  * Drop all the l10n breaks/replaces, no more needed after two Debian stable
    releases.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Add a simple upstream/metadata file.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 21 Aug 2021 18:17:14 +0200

## calligraplan 4.0.0+p24.04+vstable+git20260122.0447

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 # Alpha x.x.89
 # Beta: x.x.90 upwards. (Beta 1 = 90, Beta 2 = 91 ...)
 # Stable x.x.0 upwards
-project(calligraplan VERSION 3.3.89)
-set(PLAN_YEAR 2023) # update every year
+project(calligraplan VERSION 4.0.1)
+set(PLAN_YEAR 2026) # update every year
 
 cmake_minimum_required(VERSION 3.16)
 if (POLICY CMP0002)
@@ -187,18 +187,11 @@
         Xml
 )
 find_package(Qt6DBus ${REQUIRED_QT_VERSION} QUIET)
-set_package_properties(Qt5DBus PROPERTIES
+set_package_properties(Qt6DBus PROPERTIES
     DESCRIPTION "Library for dbus access"
     PURPOSE "Required for dbus support (optional)"
     TYPE OPTIONAL
 )
-
-find_package(X11)
-if(X11_FOUND)
-     set(HAVE_X11 TRUE)
-else()
-     set(HAVE_X11 FALSE)
-endif()
 
 ##
 ## Test SharedMimeInfo

=== debian/changelog ===
calligraplan (1:4.0.0+p24.04+vstable+git20260122.0447-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 04:48:08 +0000

## calligraplan 4.0.0+p24.04+vstable+git20260131.0233

=== debian/changelog ===
calligraplan (1:4.0.0+p24.04+vstable+git20260131.0233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 02:33:32 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/calligraplan/calligraplan-([\d\.]+)\.tar\.xz

## calligraplan 4.0.0+p24.04+vunstable+git20260205.0748

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,5 @@
+cmake_minimum_required(VERSION 3.16)
+
 if (POLICY CMP0048)
     cmake_policy(SET CMP0048 NEW)
 endif ()
@@ -10,7 +12,6 @@
 project(calligraplan VERSION 4.0.1)
 set(PLAN_YEAR 2026) # update every year
 
-cmake_minimum_required(VERSION 3.16)
 if (POLICY CMP0002)
     cmake_policy(SET CMP0002 NEW)
 endif ()

=== debian/changelog ===
calligraplan (1:4.0.0+p24.04+vunstable+git20260205.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:48:48 +0000

## calligraplan 4.0.1%2Bdfsg

=== devtools/rng2cpp/CMakeLists.txt ===
#message(STATUS "Adding plan_rng2cpp executable")

remove_definitions(-DQT_NO_CAST_FROM_ASCII)

add_executable(plan_rng2cpp rng2cpp.cpp)
target_link_libraries(plan_rng2cpp Qt::Core Qt::Xml)

=== src/plugins/scripting/tests/CMakeLists.txt ===
include_directories( .. ${PLAN_INCLUDES} ${KOKROSS_INCLUDES} ${KOSTORE_INCLUDES})

add_definitions(-DFILES_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

########### next target ###############

set (ScriptingTester_SRCS ScriptingTester.cpp TestResult.cpp)

ecm_add_test(
    ${ScriptingTester_SRCS}
    TEST_NAME ScriptingTester
    NAME_PREFIX "plan-"
    LINK_LIBRARIES
        krossmodulecalligraplan
        calligraplanprivate
        calligraplankernel
        calligraplankross
        Qt::Test
)

## calligraplan 4.0.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,3 @@
-cmake_minimum_required(VERSION 3.16)
-
 if (POLICY CMP0048)
     cmake_policy(SET CMP0048 NEW)
 endif ()
@@ -12,6 +10,7 @@
 project(calligraplan VERSION 4.0.1)
 set(PLAN_YEAR 2026) # update every year
 
+cmake_minimum_required(VERSION 3.16)
 if (POLICY CMP0002)
     cmake_policy(SET CMP0002 NEW)
 endif ()
@@ -188,11 +187,18 @@
         Xml
 )
 find_package(Qt6DBus ${REQUIRED_QT_VERSION} QUIET)
-set_package_properties(Qt6DBus PROPERTIES
+set_package_properties(Qt5DBus PROPERTIES
     DESCRIPTION "Library for dbus access"
     PURPOSE "Required for dbus support (optional)"
     TYPE OPTIONAL
 )
+
+find_package(X11)
+if(X11_FOUND)
+     set(HAVE_X11 TRUE)
+else()
+     set(HAVE_X11 FALSE)
+endif()
 
 ##
 ## Test SharedMimeInfo

=== data/CMakeLists.txt ===
# reports files
set(datadir "calligraplan/data")
install(FILES
        ReportTemplateAssistant.odt
    DESTINATION ${KDE_INSTALL_DATADIR}/${datadir}
)

=== src/CMakeLists.txt ===

set(PLAN_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})

include_directories(BEFORE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/interfaces)

set(PLANPLUGIN_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/plugin
    ${CMAKE_CURRENT_BINARY_DIR}/libs/plugin
)

set(PLANKUNDO2_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/kundo2
    ${CMAKE_CURRENT_BINARY_DIR}/libs/kundo2
)

set(PLANSTORE_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/store
    ${CMAKE_CURRENT_BINARY_DIR}/libs/store
)

set(PLANODF_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/odf
    ${CMAKE_CURRENT_BINARY_DIR}/libs/odf
    ${PLANSTORE_INCLUDES}
)

set(PLANWIDGETUTILS_INCLUDES 
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/widgetutils
    ${CMAKE_CURRENT_BINARY_DIR}/libs/widgetutils
)
set(PLANWIDGETS_INCLUDES 
    ${PLANWIDGETUTILS_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/widgets
    ${CMAKE_CURRENT_BINARY_DIR}/libs/widgets
)

set(PLANMAIN_INCLUDES 
    ${PLANWIDGETS_INCLUDES}
    ${PLANODF_INCLUDES}
    ${PLANKUNDO2_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/main
    ${CMAKE_CURRENT_BINARY_DIR}/libs/main
)

set(PLANKERNEL_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/kernel
    ${CMAKE_CURRENT_BINARY_DIR}/libs/kernel
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/kernel/commands
    ${PLANWIDGETS_INCLUDES}
)    

set(PLANMODELS_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/models
    ${CMAKE_CURRENT_BINARY_DIR}/libs/models
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/models/commands
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/models/reportgenerator
)

set(PLANUI_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/libs/ui
    ${CMAKE_CURRENT_BINARY_DIR}/libs/ui
    ${PLAN_SOURCE_DIR}/libs/ui/gantt
)

set(PLAN_INCLUDES
    ${CMAKE_CURRENT_BINARY_DIR}/plan

    ${PLANKERNEL_INCLUDES}
    ${PLANMODELS_INCLUDES}
    ${PLANUI_INCLUDES}
    ${PLANMAIN_INCLUDES}
)

# For odf
set(RNG_SOURCE_DIR ${PROJECT_SOURCE_DIR}/devtools/scripts)

if(KF6Holidays_FOUND)
    add_definitions(-DHAVE_KHOLIDAYS)
endif()

# Define plugin install prefix
set (PLAN_PLUGIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/${KDE_INSTALL_PLUGINDIR}")


if (KF6AkonadiContact_FOUND)
    # disable for now: there is a bug
    # it only works if you use kde contacts (of course) but many use other stuff, so gets disappointed
    add_definitions(-DPLAN_KDEPIMLIBS_FOUND)
    message(WARNING "AkonadiContacs available, but function is disabled due to Bug 311940")
endif ()

if (PLANCHARTDEBUG)
    add_definitions(-DPLAN_CHART_DEBUG)
endif ()

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )

#add_subdirectory(interfaces)
add_subdirectory(servicetypes)

add_subdirectory( toolbar )
add_subdirectory( plugins )

add_subdirectory( libs )

add_subdirectory( plan )
add_subdirectory( workpackage )
add_subdirectory(portfolio)

add_subdirectory(convert)

# FIXME Fix tests on Windows
if (NOT CMAKE_SYSTEM_NAME STREQUAL "Windows")
    add_subdirectory(tests)
endif()

=== doc/plan/CMakeLists.txt ===

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR calligraplan)

=== doc/portfolio/CMakeLists.txt ===

kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR calligraplanportfolio)

=== src/convert/CMakeLists.txt ===

install(FILES jar/planconvert.jar  DESTINATION ${KDE_INSTALL_DATADIR}/calligraplan/java)

=== src/plan/CMakeLists.txt ===

add_subdirectory( templates )
add_subdirectory(icons)

if(BUILD_TESTING)
    add_subdirectory( tests )
endif()

include_directories(${PLAN_INCLUDES})

add_definitions(-DTRANSLATION_DOMAIN=\"calligraplan\")

########### KPlato private library ###############

set(calligraplanprivate_LIB_SRCS
    kptviewlistdocker.cpp
    kptviewlist.cpp
    kptviewlistdialog.cpp

    kptschedulesdocker.cpp

    kptconfig.cpp

    config/ConfigWorkVacationPanel.cpp
    config/ConfigProjectPanel.cpp
    config/kpttaskdefaultpanel.cpp
    config/kptworkpackageconfigpanel.cpp
    config/kptcolorsconfigpanel.cpp
    config/ConfigTaskModulesPanel.cpp
    config/ConfigProjectTemplatesPanel.cpp
    config/ConfigReportTemplatesPanel.cpp
    config/ConfigDialog.cpp

    kptcontext.cpp

    kptfactory.cpp
    kptpart.cpp
    kptmaindocument.cpp
    kptview.cpp
#     KPtViewAdaptor.cpp
    kptprintingcontrolprivate.cpp

    kptschedulerpluginloader.cpp
    kptbuiltinschedulerplugin.cpp
    kptconfigskeleton.cpp

    kptinsertfiledlg.cpp

    KPlatoXmlLoader.cpp
    SharedResourcesDialog.cpp
)

ki18n_wrap_ui(calligraplanprivate_LIB_SRCS
    kptviewlistaddview.ui
    kptviewlisteditview.ui
    kptviewlisteditcategory.ui

    config/ConfigWorkVacationPanel.ui
    config/ConfigProjectPanel.ui
    config/kptconfigtaskpanelbase.ui
    config/kptworkpackageconfigpanel.ui
    config/kptcolorsconfigpanel.ui
    config/ConfigTaskModulesPanel.ui
    config/ConfigProjectTemplatesPanel.ui
    config/ConfigReportTemplatesPanel.ui

    kptinsertfilepanel.ui
    SharedResourcesDialog.ui
    CreateReportTemplateDialog.ui
)

kconfig_add_kcfg_files(calligraplansettings_SRCS calligraplansettings.kcfgc)

add_library(calligraplanprivate SHARED ${calligraplanprivate_LIB_SRCS} ${calligraplansettings_SRCS} )
generate_export_header(calligraplanprivate BASE_NAME plan)

target_link_libraries(calligraplanprivate
    PUBLIC
        calligraplanui
    PRIVATE
        calligraplanplugin
        KF6::IconThemes
)
if(KF6AkonadiContact_FOUND)
    target_link_libraries(calligraplanprivate  PRIVATE KF6::AkonadiContactCore)
endif()
set_target_properties(calligraplanprivate PROPERTIES VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION} )

install(TARGETS calligraplanprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### KPlato part ###############

set(calligraplanpart_PART_SRCS kptfactoryinit.cpp )

add_library(calligraplanpart MODULE ${calligraplanpart_PART_SRCS})

target_link_libraries(calligraplanpart PUBLIC KF6::Parts KF6::CoreAddons PRIVATE calligraplanprivate)

install(TARGETS calligraplanpart DESTINATION ${KDE_INSTALL_PLUGINDIR}/calligraplan/parts)


########### KPlato executable ###############

set(calligraplan_SRCS main.cpp )

file(GLOB ICONS_SRCS "icons/*-apps-calligraplan.*")
ecm_add_app_icon(calligraplan_SRCS ICONS ${ICONS_SRCS})
if(WIN32)
    set(_resourcefile "${CMAKE_CURRENT_BINARY_DIR}/calligraplan_SRCS.rc")
endif()

add_executable( calligraplan ${calligraplan_SRCS})

if (APPLE)
   set(PLAN_VERSION_NUMBER_STRING "${PLAN_STABLE_VERSION_MAJOR}.${PLAN_STABLE_VERSION_MINOR}.${PLAN_VERSION_RELEASE}")
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.calligraplan")
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Plan")
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_ICON_FILE "calligraplan_SRCS.icns")
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING ${PLAN_VERSION_STRING})
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING ${PLAN_VERSION_NUMBER_STRING})
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION ${PLAN_VERSION_NUMBER_STRING})
   set_target_properties(calligraplan PROPERTIES MACOSX_BUNDLE_COPYRIGHT "GNU Public License, V2 or, at your option, any later version.")
endif ()

target_link_libraries(calligraplan calligraplanmain calligraplanprivate)

install(TARGETS calligraplan  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

install( FILES calligraplan_shell.rc calligraplan.rc calligraplan_readonly.rc DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/calligraplan)
install( PROGRAMS  org.kde.calligraplan.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install( FILES  calligraplanrc DESTINATION ${KDE_INSTALL_CONFDIR})
install(FILES calligraplansettings.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES org.kde.calligraplan.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})



#add_custom_target(apidox doc/api/gendocs.pl WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

=== src/portfolio/CMakeLists.txt ===

add_definitions(-DTRANSLATION_DOMAIN=\"calligraplanportfolio\")

include_directories(${PLANKERNEL_INCLUDES} ${PLANUI_INCLUDES} config)

set(calligraplanportfolioprivate_LIB_SRCS
    PlanGroupDebug.cpp

    ScheduleManagerDelegate.cpp
    ScheduleManagerInfoDialog.cpp

    SummaryModel.cpp
    SummaryView.cpp
    ProjectsModel.cpp
    GanttModel.cpp
    PortfolioModel.cpp
    PortfolioView.cpp
    PerformanceView.cpp
    ProgressView.cpp
    ResourceModel.cpp
    ResourceUsageModel.cpp
    ResourceUsageView.cpp
    SchedulingModel.cpp
    SchedulingLogModel.cpp
    SchedulingView.cpp
    GanttView.cpp
    DocumentsSaveDialog.cpp
    MainWindow.cpp
    Part.cpp
    MainDocument.cpp
    View.cpp

    PortfolioFactory.cpp
    config/ConfigSkeleton.cpp
    config/ConfigDialog.cpp
)

ki18n_wrap_ui(calligraplanportfolioprivate_LIB_SRCS
    PortfolioView.ui
    PerformanceView.ui
    SchedulingView.ui
    ResourceUsageView.ui
    DocumentsSaveDialog.ui
    ScheduleManagerInfoDialog.ui
)

kconfig_add_kcfg_files(calligraplanportfoliosettings_SRCS config/portfoliosettings.kcfgc)

add_library(calligraplanportfolioprivate SHARED ${calligraplanportfolioprivate_LIB_SRCS} ${calligraplanportfoliosettings_SRCS})
generate_export_header(calligraplanportfolioprivate BASE_NAME planportfolio)

target_link_libraries(calligraplanportfolioprivate
    PUBLIC
        calligraplanui
        calligraplanstore
    PRIVATE
        calligraplanplugin
        KF6::ItemModels
        KF6::ItemViews
        KChart6
        #KF6::IconThemes
)

set_target_properties(calligraplanportfolioprivate PROPERTIES VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION})

install(TARGETS calligraplanportfolioprivate ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### Part ###############

set(calligraplanportfoliopart_PART_SRCS PortfolioFactoryInit.cpp)

add_library(calligraplanportfoliopart MODULE ${calligraplanportfoliopart_PART_SRCS})



target_link_libraries(calligraplanportfoliopart PUBLIC KF6::Parts KF6::CoreAddons PRIVATE calligraplanportfolioprivate)

install(TARGETS calligraplanportfoliopart DESTINATION ${KDE_INSTALL_PLUGINDIR}/calligraplan/parts)

########### Executable ###############

set(calligraplanportfolio_SRCS main.cpp)

file(GLOB ICONS_SRCS "icons/*-apps-calligraplanportfolio.*") # TODO proper icon for portfolio
ecm_add_app_icon(calligraplanportfolio_SRCS ICONS ${ICONS_SRCS})
if(WIN32)
    set(_resourcefile "${CMAKE_CURRENT_BINARY_DIR}/calligraplanportfolio_SRCS.rc")
endif()

add_executable( calligraplanportfolio ${calligraplanportfolio_SRCS})

if (APPLE)
    set(PLAN_VERSION_NUMBER_STRING "${PLAN_STABLE_VERSION_MAJOR}.${PLAN_STABLE_VERSION_MINOR}.${PLAN_VERSION_RELEASE}")
    set_target_properties(calligraplanportfolio PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/Info.plist.template)
    set_target_properties(calligraplanportfolio PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.calligraplanportfolio")
    set_target_properties(calligraplanportfolio PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "Plan Portfolio")
    set_target_properties(calligraplanportfolio PROPERTIES MACOSX_BUNDLE_ICON_FILE "calligraplanportfolio_SRCS.icns")
    set_target_properties(calligraplanportfolio PROPERTIES MACOSX_BUNDLE_LONG_VERSION_STRING ${PLAN_VERSION_STRING})
    set_target_properties(calligraplanportfolio PROPERTIES MACOSX_BUNDLE_SHORT_VERSION_STRING ${PLAN_VERSION_NUMBER_STRING})
    set_target_properties(calligraplanportfolio PROPERTIES MACOSX_BUNDLE_BUNDLE_VERSION ${PLAN_VERSION_NUMBER_STRING})
    set_target_properties(calligraplanportfolio PROPERTIES MACOSX_BUNDLE_COPYRIGHT "GNU Public License, V2 or, at your option, any later version.")
endif ()

target_link_libraries(calligraplanportfolio calligraplanportfolioprivate)

install(TARGETS calligraplanportfolio  ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

########### Files ###############

install( FILES
        calligraplanportfolio_shell.rc
        Portfolio_ViewUi.rc
        Portfolio_SummaryViewUi.rc
        Portfolio_PortfolioViewUi.rc
        Portfolio_ProgressViewUi.rc
        Portfolio_SchedulingViewUi.rc
        Portfolio_GanttViewUi.rc
        Portfolio_ResourceUsageViewUi.rc
        Portfolio_PerformanceViewUi.rc
        ../libs/ui/TaskStatusViewUi.rc
        ../libs/ui/GanttViewUi.rc
    DESTINATION ${KDE_INSTALL_KXMLGUIDIR}/calligraplanportfolio
)

if (SharedMimeInfo_FOUND)
    install(FILES calligraplanportfolio_mimetype.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
    update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
endif ()

install( PROGRAMS  org.kde.calligraplanportfolio.desktop  DESTINATION ${KDE_INSTALL_APPDIR})
install(FILES org.kde.calligraplanportfolio.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

add_subdirectory(icons)

=== src/tests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_TO_ASCII -DQT_NO_CAST_FROM_ASCII -DQT_RESTRICTED_CAST_FROM_ASCII -DQT_NO_CAST_FROM_BYTEARRAY)

include_directories( .. ${PLAN_INCLUDES} ../workpackage)

# call: plan_add_unit_test(<test-name> <sources> LINK_LIBRARIES <library> [<library> [...]] [GUI])
macro(PLAN_ADD_UNIT_TEST _TEST_NAME)
    ecm_add_test( ${ARGN}
        TEST_NAME "${_TEST_NAME}"
        NAME_PREFIX "plan-"
    )
endmacro()


plan_add_unit_test(WorkPackageTester
    WorkPackageTester.cpp
    LINK_LIBRARIES calligraplanworkprivate calligraplanprivate calligraplankernel calligraplanmain Qt::Test
)

=== src/toolbar/CMakeLists.txt ===
ecm_install_icons( ICONS
    22-actions-view-task-child-add.png
    22-actions-view-time-schedule-insert.png

    DESTINATION ${KDE_INSTALL_DATADIR}/calligraplan/icons
    THEME hicolor
)

=== src/libs/main/CMakeLists.txt ===
if (BUILD_TESTING)
    add_subdirectory( tests )
endif ()

kde_enable_exceptions()

if (APPLE)
    find_library(FOUNDATION_LIBRARY Foundation)
endif ()

include_directories(${PLANMAIN_INCLUDES} ${PLANPLUGIN_INCLUDES})

########### next target ###############

if( Qca-qt6_FOUND )
   add_definitions( -DQCA2 )
endif()

set(komain_LIB_SRCS
    ktoolbarhelper.cpp
    kedittoolbar.cpp
    WelcomeView.cpp

    KoAutoSaveRecoveryDialog.cpp
    KoApplication.cpp
    KoComponentData.cpp
    KoDockFactoryBase.cpp
    KoDockRegistry.cpp
    KoDocument.cpp
    KoDocumentEntry.cpp
    KoMainWindow.cpp
    KoPrintingDialog.cpp
    KoPrintJob.cpp
    KoView.cpp
    KoFilterManager.cpp
    KoFilterChain.cpp
    KoFilter.cpp
    KoFilterEntry.cpp
    KoFilterManager_p.cpp
    KoFilterVertex.cpp
    KoFilterGraph.cpp
    KoFilterEdge.cpp
    KoFilterChainLink.cpp
    KoFilterChainLinkList.cpp
    KoUndoStackAction.cpp
    config/KoConfigDocumentPage.cpp
    config/ConfigDocumentationPanel.cpp
#     KoFindBase.cpp
#     KoFindMatch.cpp
#     KoFindOption.cpp
#     KoFindOptionSet.cpp

    KoPart.cpp

    MainDebug.cpp
)

if( Qt6DBus_FOUND )
    set(komain_LIB_SRCS ${komain_LIB_SRCS}
        KoApplicationAdaptor.cpp
        KoViewAdaptor.cpp
        KoPartAdaptor.cpp
    )
endif()

ki18n_wrap_ui(komain_LIB_SRCS
    WelcomeView.ui
    config/KoConfigDocumentPage.ui
    config/ConfigDocumentationPanel.ui
)

add_library(calligraplanmain SHARED  ${komain_LIB_SRCS})
generate_export_header(calligraplanmain EXPORT_FILE_NAME komain_generated_export.h BASE_NAME komain
)

target_link_libraries(calligraplanmain
    PUBLIC
        calligraplanwidgets
        calligraplankundo2
        KF6::CoreAddons
    PRIVATE
        calligraplanplugin
        KF6::Notifications
        KF6::ItemViews
        KF6::KIOFileWidgets
        KF6::IconThemes
        KF6::IconWidgets
        KF6::DBusAddons
)

if( PlasmaActivities_FOUND )
    target_link_libraries(calligraplanmain PRIVATE Plasma::Activities)
endif()

if (APPLE)
    target_link_libraries(calligraplanmain PRIVATE ${FOUNDATION_LIBRARY})
endif ()

set_target_properties(calligraplanmain PROPERTIES
    VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION}
)
install(TARGETS calligraplanmain ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

# TODO: with the new embedded JSON data for plugins there is no schema ATM to define extended properties
# calligradocker.desktop

if (APPLE)
    install(FILES osx.stylesheet DESTINATION ${KDE_INSTALL_DATADIR}/calligraplan )
endif ()

=== src/libs/odf/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory( tests )
endif()
include_directories( ${PLANODF_INCLUDES} ${CMAKE_CURRENT_BINARY_DIR}/writeodf ${CMAKE_CURRENT_SOURCE_DIR/writeodf})
add_subdirectory( writeodf )

########### libcalligraplanodf ###############

set(calligraplanodf_LIB_SRCS
    KoOdf.cpp
    KoOdfManifestEntry.cpp
    KoDocumentInfo.cpp
    KoGenStyle.cpp
    KoGenStyles.cpp
    KoFontFace.cpp
    KoOdfLoadingContext.cpp
    KoOasisSettings.cpp
    KoOdfStylesReader.cpp
    KoOdfNumberStyles.cpp
    KoOdfPaste.cpp
    KoOdfReadStore.cpp
    KoOdfWriteStore.cpp
    KoStyleStack.cpp
    KoOdfGraphicStyles.cpp
    KoGenChange.cpp
    KoGenChanges.cpp
    KoDocumentBase.cpp
    KoEmbeddedDocumentSaver.cpp
    KoBorder.cpp
    Ko3dScene.cpp
    KoShadowStyle.cpp
    KoPageLayout.cpp
    KoPageFormat.cpp
    KoColumns.cpp
    KoUnit.cpp
    KoOdfNotesConfiguration.cpp
    KoOdfBibliographyConfiguration.cpp
    KoOdfNumberDefinition.cpp
    KoOdfLineNumberingConfiguration.cpp
    KoElementReference.cpp
    writeodf/helpers.cpp

    OdfDebug.cpp
)

add_library(calligraplanodf SHARED ${calligraplanodf_LIB_SRCS})
add_dependencies(calligraplanodf plan_writeodf.h-target)
generate_export_header(calligraplanodf BASE_NAME koodf)

target_link_libraries(calligraplanodf
    PUBLIC
        calligraplanstore
        KF6::ConfigCore
        KF6::CoreAddons
        Qt::PrintSupport
        Qt::Xml
    PRIVATE
        KF6::I18n
)

set_target_properties(calligraplanodf PROPERTIES
    VERSION ${GENERIC_PLAN_LIB_VERSION} SOVERSION ${GENERIC_PLAN_LIB_SOVERSION}
)
install(TARGETS calligraplanodf ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} )

=== debian/changelog ===
calligraplan (1:4.0.1+dfsg-1build1) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:32:30 +0000

calligraplan (1:4.0.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to the new tarball location.
  * Add the GPG key of Mickael Sergent.
  * Since the upstream tarball now ships a pre-built JAR file, exclude it:
    - repack removing src/convert/jar/planconvert.jar
    - add the +dfsg suffix to the upstream version
    - disable the mpxj import filter, as it does not work without the JAR file,
      and do not install planconvert.jar; patch disable-mpxj.diff
  * Update the build dependencies following the port to Qt 6:
    - remove kinit-dev, libkchart2-dev, libkf5activities-dev, libkf5archive-dev,
      libkf5config-dev, libkf5configwidgets-dev, libkf5coreaddons-dev,
      libkf5dbusaddons-dev, libkf5doctools-dev, libkf5guiaddons-dev,
      libkf5holidays-dev, libkf5i18n-dev, libkf5iconthemes-dev,
      libkf5itemviews-dev, libkf5jobwidgets-dev, libkf5kio-dev,
      libkf5notifications-dev, libkf5parts-dev, libkf5textwidgets-dev,
      libkf5wallet-dev, libkf5widgetsaddons-dev, libkf5windowsystem-dev,
      libkf5xmlgui-dev, libkgantt2-dev, libqca-qt5-2-dev, libqt5opengl5-dev,
      libqt5x11extras5-dev, and qtbase5-dev
    - add libkchart-dev, libkf6archive-dev, libkf6calendarcore-dev,
      libkf6config-dev, libkf6configwidgets-dev, libkf6coreaddons-dev,
      libkf6dbusaddons-dev, libkf6doctools-dev, libkf6guiaddons-dev,
      libkf6holidays-dev, libkf6i18n-dev, libkf6iconthemes-dev,
      libkf6itemmodels-dev, libkf6itemviews-dev, libkf6jobwidgets-dev,
      libkf6kio-dev, libkf6notifications-dev, libkf6parts-dev, libkf6sonnet-dev,
      libkf6textwidgets-dev, libkf6wallet-dev, libkf6widgetsaddons-dev,
      libkf6windowsystem-dev, libkf6xmlgui-dev, libkgantt-dev,
      libplasmaactivities-dev, libqca-qt6-dev, and qt6-base-dev
  * Update the other build dependencies according to the upstream build system:
    - bump cmake to 3.16.0
    - bump extra-cmake-modules to 6.3.0
    - add shared-mime-info
  * Modernize building and update it to KF6:
    - add the dh-sequence-kf6 build dependency to use the kf6 addon
      automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Stop passing -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake, as it is no more
    needed now.
  * Stop adding -Wno-deprecated -Wno-deprecated-declarations to the CXXFLAGS,
    as they should not be needed anymore now.
  * Bump Standards-Version to 4.7.3, no changes required.
  * Drop Priority: optional, no more needed since dpkg 1.22.13.
  * Update lintian overrides.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Tue, 20 Jan 2026 08:35:45 +0100

=== debian/control ===
Source: calligraplan
Section: kde
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkchart-dev (>= 3.0.1~),
               libkf6archive-dev (>= 6.3.0~),
               libkf6calendarcore-dev,
               libkf6config-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkf6holidays-dev,
               libkf6i18n-dev (>= 6.3.0~),
               libkf6iconthemes-dev (>= 6.3.0~),
               libkf6itemmodels-dev (>= 6.3.0~),
               libkf6itemviews-dev (>= 6.3.0~),
               libkf6jobwidgets-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6parts-dev (>= 6.3.0~),
               libkf6sonnet-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6wallet-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libkf6xmlgui-dev (>= 6.3.0~),
               libkgantt-dev (>= 3.0.1~),
               libplasmaactivities-dev,
               libqca-qt6-dev (>= 2.1.0~),
               libx11-dev,
               pkgconf,
               qt6-base-dev (>= 6.5.0~),
               shared-mime-info,
Standards-Version: 4.7.3
Homepage: https://www.calligra.org/plan/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/calligraplan.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/calligraplan

Package: calligraplan
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: integrated project management and planning tool
 Plan is a project management application, allowing for the planning and
 scheduling of projects. It was formerly known as KPlato.
 .
 This package is part of the Calligra Suite.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -Skf6 -- \
		-DBUILD_TESTING=OFF

execute_after_dh_auto_install:
	# remove symlinks of private libraries
	find debian/calligraplan -name '*.so' -type l -print -delete

.PHONY: override_dh_auto_test

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
dversionmangle=s/\+dfsg\d*$//,\
pgpsigurlmangle=s/$/.sig/ \
 https://download.kde.org/stable/calligraplan/calligraplan-([\d\.]+)\.tar\.xz
